﻿$ErrorActionPreference = 'Stop'; # stop on all errors


$packageName  = 'Smartsyncstudent'
$toolsDir     = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$fileLocation = Join-Path $toolsDir 'SMART Sync Student.msi'

$packageArgs = @{
  packageName   = $packageName
  file          = $fileLocation
  fileType      = 'msi' #only one of these: exe, msi, msu
  silentArgs    = 'CREATE_SHORTCUTS=0 SYNC_VISIBLE=0 SYNC_CONNECTUSED=1 SYNC_USENAMINGSERVER=1 SYNC_NAMINGSERVERLOC=10.128.11.36 /q'
  validExitCodes= @(0, 3010, 1605, 1614, 1641)
}

Install-ChocolateyInstallPackage @packageArgs